Welcome Guest 
メインメニュー
ご注文はうさぎですか?
TVアニメ「ご注文はうさぎですか?」公式サイト
アイドルマスター シンデレラガールズ
TVアニメ「アイドルマスター シンデレラガールズ」オフィシャルサイト
俺がお嬢様学校に「庶民サンプル」としてゲッツされた件
TVアニメ『俺がお嬢様学校に「庶民サンプル」としてゲッツされた件』公式サイト
ゆるゆり
アニメ「ゆるゆり」スペシャルサイト
落第騎士の英雄譚
TVアニメ 落第騎士の英雄譚 公式サイト
てーきゅう
TVアニメ「てーきゅう」
Free!-Eternal Summer-
TVアニメ『Free!』公式サイト
星刻の竜騎士
TVアニメーション「星刻の竜騎士」オフィシャルサイト
中二病でも恋がしたい!戀
TVアニメ『中二病でも恋がしたい!戀』公式サイト
そにアニ
そにアニ
境界の彼方
TVアニメ『境界の彼方』公式サイト
通信用語の基礎知識
通信用語の基礎知識

ブログ - PHP 5.4.0 リリース

PHP 5.4.0 リリース

カテゴリ : 
ICT、コンピュータ
執筆 : 
Fukuchan 2012/6/17 23:10
http://www.php.net/archive/2012.php#id2012-03-01-1 より。

うぅーむ、いつの間に。

こちらの情報によると、5.3系は、後2年でセキュリティパッチの提供がなくなるとの事。
http://blog.ohgaki.net/php-5-4-released


xoops側の対応は大丈夫かな?
今の時点では、影響がどれくらいなのか、分からないけど。

xoopsについて言うと、コア部分は対応するでしょうが、問題はモジュールの方ですね。
年月とともに、メンテナンスが、おざなりになっていくでしょうし。


他に、気になる事が一つ。
PHP5-5.3.13 で、/usr/local/etc/php.ini-production の中にこんな表現が。
; Magic quotes are a preprocessing feature of PHP where PHP will attempt to
; escape any character sequences in GET, POST, COOKIE and ENV data which might
; otherwise corrupt data being placed in resources such as databases before
; making that data available to you. Because of character encoding issues and
; non-standard SQL implementations across many databases, it's not currently
; possible for this feature to be 100% accurate. PHP's default behavior is to
; enable the feature. We strongly recommend you use the escaping mechanisms
; designed specifically for the database your using instead of relying on this
; feature. Also note, this feature has been deprecated as of PHP 5.3.0 and is
; scheduled removed in PHP 5.4.
; Default Value: On
; Development Value: Off
; Production Value: Off
; http://php.net/magic-quotes-gpc
magic_quotes_gpc = Off

マジッククォート機能についてですが、元々、6.0 で廃止のはずでしたが、
早送りで、5.4 で廃止になるとな?

ちょっと検索したら、あら確かに。
http://php.net/manual/ja/function.get-magic-quotes-gpc.php

get_magic_quotes_gpc(void) が、5.4.0 では、常にFALSE を返すようになりました。
今まで「magic_quotes_gpc = On」前提でコードを書いている場合は、5.4へ移行する時に注意が必要です。


FreeBSDのportsも、/usr/ports/lang/php5が、5.3系から5.4系に変更になった模様。
これって、インストールしている5.3系のPHPを、何も考えずに「portmaster lang/php5」とかやると、
5.4系に上がっちゃうって事でしょうか?

5.3系に残りたい場合は「portmaster lang/php53」で良いのかな?
今度、PHPをアップデートする時に、実験してみよう。

トラックバック

トラックバックpingアドレス http://fukuchan.myhome.cx/modules/d3blog/tb.php/109

コメント


投稿者 スレッド
Fukuchan
投稿日時: 2013/1/12 16:12  更新日時: 2013/1/12 16:12
長老
登録日: 2010/9/19
居住地:
投稿数: 231
 Re: PHP 5.4.0 リリース
こちらの書き込みもご覧あれ
「FreeBSDのPHPのバージョンを、5.4系ではなく5.3系に留まる方法」
http://fukuchan.myhome.cx/modules/d3blog/details.php?bid=118
ブログ カレンダー
« « 2017 9月 » »
27 28 29 30 31 1 2
3 4 5 6 7 8 9
10 11 12 13 14 15 16
17 18 19 20 21 22 23
24 25 26 27 28 29 30
カテゴリ一覧
検索
D.S. -Dal Segno-
D.S. -Dal Segno-
リプキス
甘えかたは彼女なりに。
恋する乙女と守護の楯~薔薇の聖母~
AXL新作第12弾「恋する乙女と守護の楯~薔薇の聖母~」 2016年1月29日発売予定!
Powered by XOOPS Cube Legacy 2.2 © 2001-2009 XOOPS Cube日本サイト